#! /bin/sh /usr/share/dpatch/dpatch-run
## 21_fc5.dpatch by Micah Anderson <Micah Anderson <micah@debian.org>>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad trunk~/distrib/Makefile.am trunk/distrib/Makefile.am
--- trunk~/distrib/Makefile.am	2006-03-20 08:16:47.000000000 -0500
+++ trunk/distrib/Makefile.am	2006-04-16 00:25:53.000000000 -0400
@@ -40,13 +40,16 @@
 			   fc1/apt/rpmpriorities    fc1/pkgs/01    fc1/pkgs/02 \
 			   fc2/apt/rpmpriorities    fc2/pkgs/01    fc2/pkgs/02 \
 			   fc3/apt/rpmpriorities    fc3/pkgs/01    fc3/pkgs/02    fc3/pkgs/03 \
-			   fc3/yum/yum.conf $(wildcard fc3/yum.repos.d/fedora*.repo) \
+			   fc3/yum/yum.conf $(wildcard fc3/yum.repos.d/*.repo) \
 			   $(wildcard fc3/rpmlist.d/*.lst) $(wildcard fc3/rpmlist.d/*.opt) \
 			   fc4/apt/rpmpriorities    fc4/pkgs/01    fc4/pkgs/02    fc4/pkgs/03 \
-			   fc4/yum/yum.conf $(wildcard fc4/yum.repos.d/fedora*.repo) \
+			   fc4/yum/yum.conf $(wildcard fc4/yum.repos.d/*.repo) \
 			   $(wildcard fc4/rpmlist.d/*.lst) $(wildcard fc4/rpmlist.d/*.opt) \
+			   fc5/apt/rpmpriorities    fc5/pkgs/01    fc5/pkgs/02    fc5/pkgs/03 \
+			   fc5/yum/yum.conf $(wildcard fc5/yum.repos.d/*.repo) \
+			   $(wildcard fc5/rpmlist.d/*.lst) $(wildcard fc5/rpmlist.d/*.opt) \
 			   centos42/pkgs/01 centos42/pkgs/02 centos42/pkgs/03 \
-			   centos42/yum/yum.conf $(wildcard centos42/yum.repos.d/CentOS*.repo) \
+			   centos42/yum/yum.conf $(wildcard centos42/yum.repos.d/*.repo) \
 			   suse91/apt/rpmpriorities suse91/pkgs/01 suse91/pkgs/02 \
 			   suse91/rpm/macros
 
@@ -65,7 +68,7 @@
 			   $(nobase_confdistrib_DATA) \
 			   $(defaults_DATA)
 
-redhat_style		=  rh9 fc1 fc2 fc3 fc4 centos42
+redhat_style		=  rh9 fc1 fc2 fc3 fc4 fc5 centos42
 
 install-exec-hook:	install-notify-xtra
 install-data-hook:	install-data-xtras
diff -urNad trunk~/distrib/Makefile.in trunk/distrib/Makefile.in
--- trunk~/distrib/Makefile.in	2006-03-20 08:16:47.000000000 -0500
+++ trunk/distrib/Makefile.in	2006-04-16 00:25:53.000000000 -0400
@@ -275,13 +275,16 @@
 			   fc1/apt/rpmpriorities    fc1/pkgs/01    fc1/pkgs/02 \
 			   fc2/apt/rpmpriorities    fc2/pkgs/01    fc2/pkgs/02 \
 			   fc3/apt/rpmpriorities    fc3/pkgs/01    fc3/pkgs/02    fc3/pkgs/03 \
-			   fc3/yum/yum.conf $(wildcard fc3/yum.repos.d/fedora*.repo) \
+			   fc3/yum/yum.conf $(wildcard fc3/yum.repos.d/*.repo) \
 			   $(wildcard fc3/rpmlist.d/*.lst) $(wildcard fc3/rpmlist.d/*.opt) \
 			   fc4/apt/rpmpriorities    fc4/pkgs/01    fc4/pkgs/02    fc4/pkgs/03 \
-			   fc4/yum/yum.conf $(wildcard fc4/yum.repos.d/fedora*.repo) \
+			   fc4/yum/yum.conf $(wildcard fc4/yum.repos.d/*.repo) \
 			   $(wildcard fc4/rpmlist.d/*.lst) $(wildcard fc4/rpmlist.d/*.opt) \
+			   fc5/apt/rpmpriorities    fc5/pkgs/01    fc5/pkgs/02    fc5/pkgs/03 \
+			   fc5/yum/yum.conf $(wildcard fc5/yum.repos.d/*.repo) \
+			   $(wildcard fc5/rpmlist.d/*.lst) $(wildcard fc5/rpmlist.d/*.opt) \
 			   centos42/pkgs/01 centos42/pkgs/02 centos42/pkgs/03 \
-			   centos42/yum/yum.conf $(wildcard centos42/yum.repos.d/CentOS*.repo) \
+			   centos42/yum/yum.conf $(wildcard centos42/yum.repos.d/*.repo) \
 			   suse91/apt/rpmpriorities suse91/pkgs/01 suse91/pkgs/02 \
 			   suse91/rpm/macros
 
@@ -297,7 +300,7 @@
 			   $(nobase_confdistrib_DATA) \
 			   $(defaults_DATA)
 
-redhat_style = rh9 fc1 fc2 fc3 fc4 centos42
+redhat_style = rh9 fc1 fc2 fc3 fc4 fc5 centos42
 all: all-am
 
 .SUFFIXES:
@@ -444,7 +447,7 @@
 
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/../m4 $(distdir)/centos42/pkgs $(distdir)/centos42/yum $(distdir)/centos42/yum.repos.d $(distdir)/defaults $(distdir)/defaults/apt $(distdir)/defaults/rpm $(distdir)/fc1/apt $(distdir)/fc1/pkgs $(distdir)/fc2/apt $(distdir)/fc2/pkgs $(distdir)/fc3/apt $(distdir)/fc3/pkgs $(distdir)/fc3/rpmlist.d $(distdir)/fc3/yum $(distdir)/fc3/yum.repos.d $(distdir)/fc4/apt $(distdir)/fc4/pkgs $(distdir)/fc4/rpmlist.d $(distdir)/fc4/yum $(distdir)/fc4/yum.repos.d $(distdir)/misc $(distdir)/redhat $(distdir)/rh9/apt $(distdir)/rh9/pkgs $(distdir)/suse91/apt $(distdir)/suse91/pkgs $(distdir)/suse91/rpm $(distdir)/template
+	$(mkdir_p) $(distdir)/../m4 $(distdir)/centos42/pkgs $(distdir)/centos42/yum $(distdir)/centos42/yum.repos.d $(distdir)/defaults $(distdir)/defaults/apt $(distdir)/defaults/rpm $(distdir)/fc1/apt $(distdir)/fc1/pkgs $(distdir)/fc2/apt $(distdir)/fc2/pkgs $(distdir)/fc3/apt $(distdir)/fc3/pkgs $(distdir)/fc3/rpmlist.d $(distdir)/fc3/yum $(distdir)/fc3/yum.repos.d $(distdir)/fc4/apt $(distdir)/fc4/pkgs $(distdir)/fc4/rpmlist.d $(distdir)/fc4/yum $(distdir)/fc4/yum.repos.d $(distdir)/fc5/apt $(distdir)/fc5/pkgs $(distdir)/fc5/rpmlist.d $(distdir)/fc5/yum $(distdir)/fc5/yum.repos.d $(distdir)/misc $(distdir)/redhat $(distdir)/rh9/apt $(distdir)/rh9/pkgs $(distdir)/suse91/apt $(distdir)/suse91/pkgs $(distdir)/suse91/rpm $(distdir)/template
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
 	list='$(DISTFILES)'; for file in $$list; do \
diff -urNad trunk~/distrib/fc5/apt/rpmpriorities trunk/distrib/fc5/apt/rpmpriorities
--- trunk~/distrib/fc5/apt/rpmpriorities	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/apt/rpmpriorities	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,7 @@
+Essential:
+  basesystem
+  coreutils
+  filesystem
+  glibc
+  setup
+  fedora-release
diff -urNad trunk~/distrib/fc5/apt/sources.list trunk/distrib/fc5/apt/sources.list
--- trunk~/distrib/fc5/apt/sources.list	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/apt/sources.list	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,7 @@
+# rpm     http://ftp.ultra.csn.tu-chemnitz.de/pub/mirror/fedora/core/.apt	3/i386	os patches updates
+
+# rpm	ftp://ftp.ussg.iu.edu/pub/linux/fedora/fedora/fedora			3/i386	os updates
+# rpm	ftp://ftp.tu-chemnitz.de/pub/linux/fedora/fedora			3/i386	os updates
+# rpm	http://mirrors.usc.edu/pub/linux/fedora/fedora/fedora			3/i386	os updates
+# rpm	http://sunsite.informatik.rwth-aachen.de/ftp/pub/Linux/fedora/fedora	3/i386	os updates
+# rpm	http://download.fedora.us/fedora/fedora					3/i386	os updates
diff -urNad trunk~/distrib/fc5/pkgs/01 trunk/distrib/fc5/pkgs/01
--- trunk~/distrib/fc5/pkgs/01	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/pkgs/01	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1 @@
+glibc
diff -urNad trunk~/distrib/fc5/pkgs/02 trunk/distrib/fc5/pkgs/02
--- trunk~/distrib/fc5/pkgs/02	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/pkgs/02	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,3 @@
+--reinstall
+
+filesystem
diff -urNad trunk~/distrib/fc5/pkgs/03 trunk/distrib/fc5/pkgs/03
--- trunk~/distrib/fc5/pkgs/03	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/pkgs/03	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,2 @@
+coreutils
+initscripts
diff -urNad trunk~/distrib/fc5/rpmlist.d/00.lst trunk/distrib/fc5/rpmlist.d/00.lst
--- trunk~/distrib/fc5/rpmlist.d/00.lst	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/rpmlist.d/00.lst	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,7 @@
+basesystem-*.rpm
+filesystem-*.rpm
+glibc-common-*.rpm
+glibc-[0-9]*.rpm
+libgcc-[0-9]*.rpm
+setup-*.rpm
+tzdata-*.rpm
diff -urNad trunk~/distrib/fc5/yum/yum.conf trunk/distrib/fc5/yum/yum.conf
--- trunk~/distrib/fc5/yum/yum.conf	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum/yum.conf	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,10 @@
+[main]
+cachedir=@YUMCACHEDIR@
+reposdir=@YUMETCDIR@/yum.repos.d
+debuglevel=1
+logfile=@YUMLOGDIR@/log
+lockfile=@YUMLOCKDIR@/yum.pid
+pkgpolicy=newest
+distroverpkg=fedora-release
+installonlypkgs=
+exactarch=0
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-core.repo trunk/distrib/fc5/yum.repos.d/fedora-core.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-core.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-core.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,21 @@
+[core]
+name=Fedora Core 5 - $basearch
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/5/$basearch/os/
+mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-5
+enabled=1
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
+
+[core-debuginfo]
+name=Fedora Core 5 - $basearch - Debug
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/5/$basearch/debug/
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
+
+[core-source]
+name=Fedora Core 5 - Source
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/5/source/SRPMS/
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-development.repo trunk/distrib/fc5/yum.repos.d/fedora-development.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-development.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-development.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,44 @@
+# These packages are untested and still under development. This
+# repository is used for updates to test releases, and for
+# development of new releases.
+#
+# This repository can see significant daily turnover and major
+# functionality changes which cause unexpected problems with other
+# development packages. Please use these packages if you want to work
+# with the Fedora developers by testing these new development packages.
+#
+# fedora-test-list@redhat.com is available as a discussion forum for
+# testing and troubleshooting for development packages in conjunction
+# with new test releases.
+#
+# fedora-devel-list@redhat.com is available as a discussion forum for
+# testing and troubleshooting for development packages in conjunction
+# with developing new releases.
+#
+# More information is available at http://fedoraproject.org/wiki/Testing 
+#
+# Reproducible and reportable issues should be filed at
+# http://bugzilla.redhat.com/.
+#
+# Product: Fedora Core
+# Version: devel
+
+[development]
+name=Fedora Core - Development
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/$basearch/
+mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-rawhide
+enabled=0
+gpgcheck=0
+
+[development-debuginfo]
+name=Fedora Core - Development - Debug
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/$basearch/debug/
+enabled=0
+gpgcheck=0
+
+[development-source]
+name=Fedora Core - Development - Source
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/
+enabled=0
+gpgcheck=0
+
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-extras-development.repo trunk/distrib/fc5/yum.repos.d/fedora-extras-development.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-extras-development.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-extras-development.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,21 @@
+[extras-development]
+name=Fedora Extras - Development Tree
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/development/$basearch/
+mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-extras-devel
+enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
+gpgcheck=1
+
+[extras-development-debuginfo]
+name=Fedora Extras - Development - Debug
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/development/$basearch/debug/
+enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
+gpgcheck=1
+
+[extras-development-source]
+name=Fedora Extras - Development - Source
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/development/SRPMS/
+enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
+gpgcheck=1
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-extras.repo trunk/distrib/fc5/yum.repos.d/fedora-extras.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-extras.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-extras.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,21 @@
+[extras]
+name=Fedora Extras 5 - $basearch
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/5/$basearch/
+mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-extras-5
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
+gpgcheck=1
+
+[extras-debuginfo]
+name=Fedora Extras 5 - $basearch - Debug
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/5/$basearch/debug/
+enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
+gpgcheck=1
+
+[extras-source]
+name=Fedora Extras 5 - Source
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/5/SRPMS/
+enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
+gpgcheck=1
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-legacy.repo trunk/distrib/fc5/yum.repos.d/fedora-legacy.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-legacy.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-legacy.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,13 @@
+[legacy-updates]
+name=Fedora Legacy 5 - $basearch - Updates
+mirrorlist=http://fedora.redhat.com/download/mirrors/legacy-updates-released-fc5
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-legacy
+
+[legacy-testing]
+name=Fedora Legacy 5 - $basearch - Updates Testing
+mirrorlist=http://fedora.redhat.com/download/mirrors/legacy-updates-testing-fc5
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-legacy
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-updates-testing.repo trunk/distrib/fc5/yum.repos.d/fedora-updates-testing.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-updates-testing.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-updates-testing.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,21 @@
+[updates-testing]
+name=Fedora Core 5 - $basearch - Test Updates
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/5/$basearch/
+mirrorlist=http://fedora.redhat.com/download/mirrors/updates-testing-fc5
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
+
+[updates-testing-debuginfo]
+name=Fedora Core 5 - $basearch - Test Updates Debug
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/5/$basearch/debug/
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
+
+[updates-testing-source]
+name=Fedora Core 5 - Test Updates Source
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/5/SRPMS/
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
diff -urNad trunk~/distrib/fc5/yum.repos.d/fedora-updates.repo trunk/distrib/fc5/yum.repos.d/fedora-updates.repo
--- trunk~/distrib/fc5/yum.repos.d/fedora-updates.repo	1969-12-31 19:00:00.000000000 -0500
+++ trunk/distrib/fc5/yum.repos.d/fedora-updates.repo	2006-04-16 00:25:53.000000000 -0400
@@ -0,0 +1,21 @@
+[updates]
+name=Fedora Core 5 - $basearch - Updates
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/$basearch/
+mirrorlist=http://fedora.redhat.com/download/mirrors/updates-released-fc5
+enabled=1
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
+
+[updates-debuginfo]
+name=Fedora Core 5 - $basearch - Updates - Debug
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/$basearch/debug/
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
+
+[updates-source]
+name=Fedora Core 5 - Updates Source
+baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/SRPMS/
+enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
diff -urNad trunk~/distrib/redhat/initpost trunk/distrib/redhat/initpost
--- trunk~/distrib/redhat/initpost	2006-03-20 08:16:47.000000000 -0500
+++ trunk/distrib/redhat/initpost	2006-04-16 00:25:53.000000000 -0400
@@ -52,7 +52,7 @@
     f=/tmp/startwait
     trap "rm -f $f" EXIT
     mkfifo $f
-    ( sleep 10; kill -s 9 -- -1 ) &
+    ( sleep 15; kill -s 9 -- -1 ) &
     cat "$f" >/dev/null
     kill -s 9 -- -1
     wait
diff -urNad trunk~/scripts/vyum-worker trunk/scripts/vyum-worker
--- trunk~/scripts/vyum-worker	2006-03-20 08:16:45.000000000 -0500
+++ trunk/scripts/vyum-worker	2006-04-16 00:25:53.000000000 -0400
@@ -39,8 +39,8 @@
 
 yum=${YUM:-yum}
 conf=yum.conf
-case $(yum --version) in
-    (2.[01234]*)
+case $($yum --version|tail -n 1) in
+    (2.[0123456]*)
 	python -c 'import yum,sys; sys.exit(not hasattr(yum.config.yumconf, "getRootedPath"))' &>/dev/null || {
 	    warning "\
 You are using a version of yum which is insecure and broken in chroot
